#pragma once
#include "BaseForm.h"
//#include "CustomRichTextBox.h"
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for QuestNPCForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class QuestNPCForm : public System::Windows::Forms::Form
#else 
    public __gc class QuestNPCForm : public BaseForm
#endif	
	{
	public: 
        QuestNPCForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
			sqlConnectionGlobalDB->ConnectionString = Global::GetGlobalDBSource();
			sqlConnectionGlobalDB->Open();
        }  
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
    private: System::Windows::Forms::Panel *  panel2;
    private: System::Windows::Forms::ComboBox *  CB_Zone3;
    private: System::Windows::Forms::ComboBox *  CB_Zone2;
    private: System::Windows::Forms::ComboBox *  CB_Zone1;
    private: System::Windows::Forms::Label *  label53;




    private: System::Windows::Forms::GroupBox *  groupBox3;
    private: System::Windows::Forms::Label *  label17;
    private: System::Windows::Forms::TextBox *  textBox15;
    private: System::Windows::Forms::Label *  label18;
    private: System::Windows::Forms::TextBox *  textBox16;
    private: System::Windows::Forms::Label *  label19;
    private: System::Windows::Forms::TextBox *  textBox17;
    private: System::Windows::Forms::Label *  label20;
    private: System::Windows::Forms::TextBox *  textBox18;
    private: System::Windows::Forms::Label *  label21;
    private: System::Windows::Forms::TextBox *  textBox19;
    private: System::Windows::Forms::Label *  label22;
    private: System::Windows::Forms::TextBox *  textBox20;
    private: System::Windows::Forms::Label *  label23;
    private: System::Windows::Forms::Label *  label24;
    private: System::Windows::Forms::TextBox *  textBox21;
    private: System::Windows::Forms::TextBox *  textBox22;
    private: System::Windows::Forms::Label *  label25;
    private: System::Windows::Forms::Label *  label26;
    private: System::Windows::Forms::TextBox *  textBox23;
    private: System::Windows::Forms::TextBox *  textBox24;
    private: System::Windows::Forms::Label *  label16;
    private: System::Windows::Forms::TextBox *  textBox14;
    private: System::Windows::Forms::Label *  label11;
    private: System::Windows::Forms::TextBox *  textBox13;
    private: System::Windows::Forms::Label *  label9;
    private: System::Windows::Forms::TextBox *  textBox12;
    private: System::Windows::Forms::Label *  label8;
    private: System::Windows::Forms::TextBox *  textBox11;
    private: System::Windows::Forms::Label *  label7;
    private: System::Windows::Forms::TextBox *  textBox10;
    private: System::Windows::Forms::Label *  label6;
    private: System::Windows::Forms::TextBox *  textBox9;
    private: System::Windows::Forms::Label *  label4;
    private: System::Windows::Forms::Label *  label1;
    private: System::Windows::Forms::TextBox *  textBox1;
    private: System::Windows::Forms::TextBox *  textBox5;
    private: System::Windows::Forms::Label *  label3;
    private: System::Windows::Forms::Label *  label10;
    private: System::Windows::Forms::TextBox *  textBox7;
    private: System::Windows::Forms::TextBox *  textBox8;
    private: System::Windows::Forms::GroupBox *  groupBox2;
	private: ObjDataEdit::CustomRichTextBox::CustomRichTextBox*  textBox2;
	private: ObjDataEdit::CustomRichTextBox::CustomRichTextBox *  textBox3;
	private: System::Windows::Forms::TabPage *  tabPage1;
	private: System::Windows::Forms::TabPage *  tabPage2;
	private: System::Windows::Forms::ComboBox *  CB_ReviveTime;
	private: System::Windows::Forms::Label *  label2;
	private: System::Windows::Forms::TabControl *  tab_QuestObjType;

	private: System::Windows::Forms::Label *  label5;
	private: System::Windows::Forms::ComboBox *  combox_QuestMode;
	private: System::Windows::Forms::GroupBox*  groupBox1;
	private: System::Windows::Forms::GroupBox*  groupBox7;
	private: System::Windows::Forms::TextBox*  textBox27;
	private: System::Windows::Forms::Label*  MainHandEq1;
	private: System::Windows::Forms::GroupBox*  groupBox4;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::Label*  SecHandEq1;
	private: System::Windows::Forms::GroupBox*  groupBox5;
	private: System::Windows::Forms::TextBox*  textBox6;
	private: System::Windows::Forms::Label*  lableRefNPC;
	private: System::Windows::Forms::GroupBox*  groupBox6;
	private: System::Windows::Forms::TextBox*  textBox25;
	private: System::Windows::Forms::ComboBox*  comboBox1;
	private: System::Windows::Forms::Label*  label12;
private: System::Windows::Forms::Label*  label86;
private: System::Windows::Forms::TextBox*  textBox36;
private: System::Windows::Forms::ComboBox*  comboBox2;
private: System::Windows::Forms::Label*  label14;
private: System::Windows::Forms::Button*  button3;
private: System::Windows::Forms::TextBox*  textBox43;
private: System::Windows::Forms::TextBox*  textBox40;
private: System::Windows::Forms::TextBox*  textBox41;
private: System::Windows::Forms::Label*  label93;
private: System::Windows::Forms::TextBox*  textBox42;
private: System::Windows::Forms::Label*  label94;
private: System::Data::SqlClient::SqlConnection*  sqlConnectionGlobalDB;
private: System::Data::SqlClient::SqlCommand*  sqlCommandGlobalDB;


private: System::Windows::Forms::TextBox*  textBox44;
private: System::Windows::Forms::TabPage*  tabPage3;
private: System::Windows::Forms::ComboBox*  comboBox3;
private: System::Windows::Forms::Label*  label57;


private: System::Windows::Forms::Label*  label13;

private: System::Windows::Forms::GroupBox*  groupBox27;
private: System::Windows::Forms::CheckedListBox*  checkedListBox1;
private: System::Windows::Forms::Label*  label15;
private: System::Windows::Forms::TextBox*  textBox26;
private: System::Windows::Forms::CheckedListBox*  checkedListBox2;
private: System::Windows::Forms::GroupBox*  groupBox23;
private: System::Windows::Forms::Label*  label46;
private: System::Windows::Forms::TextBox*  textBox72;
private: System::Windows::Forms::Label*  LB_OrnamentEQ;



private: System::Windows::Forms::Label*  label27;
private: System::Windows::Forms::TextBox*  textBox28;
private: System::Windows::Forms::ComboBox*  CB_SearchGroupID;
private: System::Windows::Forms::Label*  label111;

















	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->CB_SearchGroupID = (new System::Windows::Forms::ComboBox());
			this->label111 = (new System::Windows::Forms::Label());
			this->label27 = (new System::Windows::Forms::Label());
			this->textBox28 = (new System::Windows::Forms::TextBox());
			this->groupBox23 = (new System::Windows::Forms::GroupBox());
			this->label46 = (new System::Windows::Forms::Label());
			this->textBox72 = (new System::Windows::Forms::TextBox());
			this->LB_OrnamentEQ = (new System::Windows::Forms::Label());
			this->checkedListBox2 = (new System::Windows::Forms::CheckedListBox());
			this->groupBox27 = (new System::Windows::Forms::GroupBox());
			this->checkedListBox1 = (new System::Windows::Forms::CheckedListBox());
			this->label15 = (new System::Windows::Forms::Label());
			this->textBox26 = (new System::Windows::Forms::TextBox());
			this->groupBox7 = (new System::Windows::Forms::GroupBox());
			this->textBox27 = (new System::Windows::Forms::TextBox());
			this->MainHandEq1 = (new System::Windows::Forms::Label());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->SecHandEq1 = (new System::Windows::Forms::Label());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->lableRefNPC = (new System::Windows::Forms::Label());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->label57 = (new System::Windows::Forms::Label());
			this->label86 = (new System::Windows::Forms::Label());
			this->textBox36 = (new System::Windows::Forms::TextBox());
			this->combox_QuestMode = (new System::Windows::Forms::ComboBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->tab_QuestObjType = (new System::Windows::Forms::TabControl());
			this->tabPage1 = (new System::Windows::Forms::TabPage());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->label13 = (new System::Windows::Forms::Label());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->textBox2 = (new ObjDataEdit::CustomRichTextBox::CustomRichTextBox());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->textBox3 = (new ObjDataEdit::CustomRichTextBox::CustomRichTextBox());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->label17 = (new System::Windows::Forms::Label());
			this->textBox15 = (new System::Windows::Forms::TextBox());
			this->label18 = (new System::Windows::Forms::Label());
			this->textBox16 = (new System::Windows::Forms::TextBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->textBox17 = (new System::Windows::Forms::TextBox());
			this->label20 = (new System::Windows::Forms::Label());
			this->textBox18 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->textBox19 = (new System::Windows::Forms::TextBox());
			this->label22 = (new System::Windows::Forms::Label());
			this->textBox20 = (new System::Windows::Forms::TextBox());
			this->label23 = (new System::Windows::Forms::Label());
			this->label24 = (new System::Windows::Forms::Label());
			this->textBox21 = (new System::Windows::Forms::TextBox());
			this->textBox22 = (new System::Windows::Forms::TextBox());
			this->label25 = (new System::Windows::Forms::Label());
			this->label26 = (new System::Windows::Forms::Label());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->textBox24 = (new System::Windows::Forms::TextBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->textBox14 = (new System::Windows::Forms::TextBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->textBox12 = (new System::Windows::Forms::TextBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->textBox11 = (new System::Windows::Forms::TextBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->label6 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->label1 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->label3 = (new System::Windows::Forms::Label());
			this->label10 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->tabPage2 = (new System::Windows::Forms::TabPage());
			this->label14 = (new System::Windows::Forms::Label());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->CB_ReviveTime = (new System::Windows::Forms::ComboBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->tabPage3 = (new System::Windows::Forms::TabPage());
			this->panel2 = (new System::Windows::Forms::Panel());
			this->textBox44 = (new System::Windows::Forms::TextBox());
			this->button3 = (new System::Windows::Forms::Button());
			this->textBox43 = (new System::Windows::Forms::TextBox());
			this->textBox40 = (new System::Windows::Forms::TextBox());
			this->textBox41 = (new System::Windows::Forms::TextBox());
			this->label93 = (new System::Windows::Forms::Label());
			this->textBox42 = (new System::Windows::Forms::TextBox());
			this->label94 = (new System::Windows::Forms::Label());
			this->CB_Zone3 = (new System::Windows::Forms::ComboBox());
			this->CB_Zone2 = (new System::Windows::Forms::ComboBox());
			this->CB_Zone1 = (new System::Windows::Forms::ComboBox());
			this->label53 = (new System::Windows::Forms::Label());
			this->sqlConnectionGlobalDB = (new System::Data::SqlClient::SqlConnection());
			this->sqlCommandGlobalDB = (new System::Data::SqlClient::SqlCommand());
			this->panel1->SuspendLayout();
			this->groupBox23->SuspendLayout();
			this->groupBox27->SuspendLayout();
			this->groupBox7->SuspendLayout();
			this->groupBox4->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->tab_QuestObjType->SuspendLayout();
			this->tabPage1->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->tabPage2->SuspendLayout();
			this->panel2->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->Controls->Add(this->CB_SearchGroupID);
			this->panel1->Controls->Add(this->label111);
			this->panel1->Controls->Add(this->label27);
			this->panel1->Controls->Add(this->textBox28);
			this->panel1->Controls->Add(this->groupBox23);
			this->panel1->Controls->Add(this->checkedListBox2);
			this->panel1->Controls->Add(this->groupBox27);
			this->panel1->Controls->Add(this->label15);
			this->panel1->Controls->Add(this->textBox26);
			this->panel1->Controls->Add(this->groupBox7);
			this->panel1->Controls->Add(this->groupBox4);
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->comboBox3);
			this->panel1->Controls->Add(this->label57);
			this->panel1->Controls->Add(this->label86);
			this->panel1->Controls->Add(this->textBox36);
			this->panel1->Controls->Add(this->combox_QuestMode);
			this->panel1->Controls->Add(this->label5);
			this->panel1->Controls->Add(this->tab_QuestObjType);
			this->panel1->Controls->Add(this->panel2);
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(767, 788);
			this->panel1->TabIndex = 0;
			// 
			// CB_SearchGroupID
			// 
			this->CB_SearchGroupID->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__1[] = new System::Object*[3];
			__mcTemp__1[0] = S"100";
			__mcTemp__1[1] = S"300";
			__mcTemp__1[2] = S"500";
			this->CB_SearchGroupID->Items->AddRange(__mcTemp__1);
			this->CB_SearchGroupID->Location = System::Drawing::Point(445, 106);
			this->CB_SearchGroupID->Name = S"CB_SearchGroupID";
			this->CB_SearchGroupID->Size = System::Drawing::Size(110, 20);
			this->CB_SearchGroupID->TabIndex = 159;
			this->CB_SearchGroupID->Tag = S"SearchGroupID";
			this->CB_SearchGroupID->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::GetIndex_SelectedIndexChanged);
			// 
			// label111
			// 
			this->label111->AutoSize = true;
			this->label111->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label111->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label111->Location = System::Drawing::Point(356, 111);
			this->label111->Name = S"label111";
			this->label111->Size = System::Drawing::Size(83, 12);
			this->label111->TabIndex = 158;
			this->label111->Text = S"企劃搜尋群組";
			// 
			// label27
			// 
			this->label27->Location = System::Drawing::Point(10, 137);
			this->label27->Name = S"label27";
			this->label27->Size = System::Drawing::Size(92, 18);
			this->label27->TabIndex = 157;
			this->label27->Text = S"顯示劇情Client";
			// 
			// textBox28
			// 
			this->textBox28->Location = System::Drawing::Point(108, 133);
			this->textBox28->Name = S"textBox28";
			this->textBox28->Size = System::Drawing::Size(222, 22);
			this->textBox28->TabIndex = 156;
			this->textBox28->Tag = S"szLuaDisplayScript";
			this->textBox28->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetStr_TextChanged);
			// 
			// groupBox23
			// 
			this->groupBox23->Controls->Add(this->label46);
			this->groupBox23->Controls->Add(this->textBox72);
			this->groupBox23->Controls->Add(this->LB_OrnamentEQ);
			this->groupBox23->Location = System::Drawing::Point(557, 218);
			this->groupBox23->Name = S"groupBox23";
			this->groupBox23->Size = System::Drawing::Size(198, 51);
			this->groupBox23->TabIndex = 155;
			this->groupBox23->TabStop = false;
			this->groupBox23->Text = S"其他";
			// 
			// label46
			// 
			this->label46->Location = System::Drawing::Point(11, 24);
			this->label46->Name = S"label46";
			this->label46->Size = System::Drawing::Size(32, 12);
			this->label46->TabIndex = 42;
			this->label46->Text = S"飾品";
			// 
			// textBox72
			// 
			this->textBox72->Location = System::Drawing::Point(45, 21);
			this->textBox72->Name = S"textBox72";
			this->textBox72->Size = System::Drawing::Size(56, 22);
			this->textBox72->TabIndex = 40;
			this->textBox72->Tag = S"OrnamentEQ";
			this->textBox72->Text = S"0";
			this->textBox72->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// LB_OrnamentEQ
			// 
			this->LB_OrnamentEQ->Location = System::Drawing::Point(107, 24);
			this->LB_OrnamentEQ->Name = S"LB_OrnamentEQ";
			this->LB_OrnamentEQ->Size = System::Drawing::Size(55, 12);
			this->LB_OrnamentEQ->TabIndex = 41;
			this->LB_OrnamentEQ->Text = S"label109";
			// 
			// checkedListBox2
			// 
			this->checkedListBox2->FormattingEnabled = true;
			System::Object* __mcTemp__2[] = new System::Object*[22];
			__mcTemp__2[0] = S"沒有SP與MP";
			__mcTemp__2[1] = S"全域顯示";
			__mcTemp__2[2] = S"顯示位置";
			__mcTemp__2[3] = S"自動面向";
			__mcTemp__2[4] = S"顯示主人資料";
			__mcTemp__2[5] = S"不亂數重生";
			__mcTemp__2[6] = S"物件刪除時立即不見";
			__mcTemp__2[7] = S"接近時提示警告";
			__mcTemp__2[8] = S"寶箱";
			__mcTemp__2[9] = S"索敵忽略面向";
			__mcTemp__2[10] = S"不顯示種族";
			__mcTemp__2[11] = S"(掉寶)忽略怪物殺死";
			__mcTemp__2[12] = S"(任務)任務物件時不發光";
			__mcTemp__2[13] = S"優先判斷攻擊";
			__mcTemp__2[14] = S"載具內看不見";
			__mcTemp__2[15] = S"公會戰需要重算路徑的物件";
			__mcTemp__2[16] = S"不處理掉寶";
			__mcTemp__2[17] = S"(cli)陷阱顯示方式";
			__mcTemp__2[18] = S"(client)不淡入";
			__mcTemp__2[19] = S"忽略現行犯處理";
			__mcTemp__2[20] = S"載具會被攻擊";
			__mcTemp__2[21] = S"小怪清除卷,需要清除";
			this->checkedListBox2->Items->AddRange(__mcTemp__2);
			this->checkedListBox2->Location = System::Drawing::Point(572, 72);
			this->checkedListBox2->Name = S"checkedListBox2";
			this->checkedListBox2->Size = System::Drawing::Size(183, 140);
			this->checkedListBox2->TabIndex = 154;
			this->checkedListBox2->Tag = S"NpcMode";
			this->checkedListBox2->SelectedValueChanged += new System::EventHandler(this, &QuestNPCForm::ChangeFlag);
			// 
			// groupBox27
			// 
			this->groupBox27->Controls->Add(this->checkedListBox1);
			this->groupBox27->Location = System::Drawing::Point(349, 150);
			this->groupBox27->Name = S"groupBox27";
			this->groupBox27->Size = System::Drawing::Size(213, 61);
			this->groupBox27->TabIndex = 153;
			this->groupBox27->TabStop = false;
			this->groupBox27->Text = S"特殊設定";
			// 
			// checkedListBox1
			// 
			this->checkedListBox1->CheckOnClick = true;
			System::Object* __mcTemp__3[] = new System::Object*[1];
			__mcTemp__3[0] = S"強制武器顯示在手上";
			this->checkedListBox1->Items->AddRange(__mcTemp__3);
			this->checkedListBox1->Location = System::Drawing::Point(9, 21);
			this->checkedListBox1->Name = S"checkedListBox1";
			this->checkedListBox1->Size = System::Drawing::Size(188, 21);
			this->checkedListBox1->TabIndex = 2;
			this->checkedListBox1->Tag = S"OtherFlag";
			this->checkedListBox1->SelectedValueChanged += new System::EventHandler(this, &QuestNPCForm::ChangeFlag);
			// 
			// label15
			// 
			this->label15->Location = System::Drawing::Point(10, 110);
			this->label15->Name = S"label15";
			this->label15->Size = System::Drawing::Size(80, 18);
			this->label15->TabIndex = 149;
			this->label15->Text = S"物件產生劇情";
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(108, 106);
			this->textBox26->Name = S"textBox26";
			this->textBox26->Size = System::Drawing::Size(222, 22);
			this->textBox26->TabIndex = 148;
			this->textBox26->Tag = S"szLuaInitScript";
			this->textBox26->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetStr_TextChanged);
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->textBox27);
			this->groupBox7->Controls->Add(this->MainHandEq1);
			this->groupBox7->Location = System::Drawing::Point(603, 452);
			this->groupBox7->Name = S"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(115, 72);
			this->groupBox7->TabIndex = 98;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = S"裝備設定(主手)";
			// 
			// textBox27
			// 
			this->textBox27->Location = System::Drawing::Point(8, 24);
			this->textBox27->Name = S"textBox27";
			this->textBox27->Size = System::Drawing::Size(101, 22);
			this->textBox27->TabIndex = 1;
			this->textBox27->Tag = S"MainHandEq1";
			this->textBox27->Text = S"0";
			this->textBox27->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchWeaponClick);
			this->textBox27->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// MainHandEq1
			// 
			this->MainHandEq1->Location = System::Drawing::Point(8, 48);
			this->MainHandEq1->Name = S"MainHandEq1";
			this->MainHandEq1->Size = System::Drawing::Size(48, 16);
			this->MainHandEq1->TabIndex = 36;
			this->MainHandEq1->Text = S"label57";
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->textBox4);
			this->groupBox4->Controls->Add(this->SecHandEq1);
			this->groupBox4->Location = System::Drawing::Point(603, 374);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(115, 72);
			this->groupBox4->TabIndex = 99;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = S"裝備設定(副手)";
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(8, 24);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(101, 22);
			this->textBox4->TabIndex = 1;
			this->textBox4->Tag = S"SecHandEq1";
			this->textBox4->Text = S"0";
			this->textBox4->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchWeaponClick);
			this->textBox4->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// SecHandEq1
			// 
			this->SecHandEq1->Location = System::Drawing::Point(8, 48);
			this->SecHandEq1->Name = S"SecHandEq1";
			this->SecHandEq1->Size = System::Drawing::Size(48, 16);
			this->SecHandEq1->TabIndex = 36;
			this->SecHandEq1->Text = S"label57";
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->textBox6);
			this->groupBox5->Controls->Add(this->lableRefNPC);
			this->groupBox5->Location = System::Drawing::Point(603, 296);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(115, 72);
			this->groupBox5->TabIndex = 100;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"屬性參考 NPC";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(8, 24);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(101, 22);
			this->textBox6->TabIndex = 1;
			this->textBox6->Tag = S"iQuestNPCRefID";
			this->textBox6->Text = S"0";
			this->textBox6->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// lableRefNPC
			// 
			this->lableRefNPC->Location = System::Drawing::Point(8, 48);
			this->lableRefNPC->Name = S"lableRefNPC";
			this->lableRefNPC->Size = System::Drawing::Size(48, 16);
			this->lableRefNPC->TabIndex = 36;
			this->lableRefNPC->Text = S"label57";
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__4[] = new System::Object*[12];
			__mcTemp__4[0] = S"NewHand";
			__mcTemp__4[1] = S"Good";
			__mcTemp__4[2] = S"Evil";
			__mcTemp__4[3] = S"Monster";
			__mcTemp__4[4] = S"Wagon";
			__mcTemp__4[5] = S"SNPC";
			__mcTemp__4[6] = S"Vistor";
			__mcTemp__4[7] = S"WF_A";
			__mcTemp__4[8] = S"WF_B";
			__mcTemp__4[9] = S"WF_C";
			__mcTemp__4[10] = S"WF_D";
			__mcTemp__4[11] = S"YesMan";
			this->comboBox3->Items->AddRange(__mcTemp__4);
			this->comboBox3->Location = System::Drawing::Point(465, 75);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(97, 20);
			this->comboBox3->TabIndex = 146;
			this->comboBox3->Tag = S"CampID";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::GetIndex_SelectedIndexChanged);
			// 
			// label57
			// 
			this->label57->AutoSize = true;
			this->label57->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label57->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label57->Location = System::Drawing::Point(428, 79);
			this->label57->Name = S"label57";
			this->label57->Size = System::Drawing::Size(31, 12);
			this->label57->TabIndex = 145;
			this->label57->Text = S"陣營";
			// 
			// label86
			// 
			this->label86->AutoSize = true;
			this->label86->BackColor = System::Drawing::SystemColors::Control;
			this->label86->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label86->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label86->Location = System::Drawing::Point(243, 78);
			this->label86->Name = S"label86";
			this->label86->Size = System::Drawing::Size(56, 12);
			this->label86->TabIndex = 101;
			this->label86->Text = S"NPC頭銜";
			// 
			// textBox36
			// 
			this->textBox36->Location = System::Drawing::Point(306, 72);
			this->textBox36->Name = S"textBox36";
			this->textBox36->Size = System::Drawing::Size(100, 22);
			this->textBox36->TabIndex = 100;
			this->textBox36->Tag = S"TitleName";
			this->textBox36->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetStr_TextChanged);
			// 
			// combox_QuestMode
			// 
			this->combox_QuestMode->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__5[] = new System::Object*[3];
			__mcTemp__5[0] = S"任務NPC";
			__mcTemp__5[1] = S"任務物件";
			__mcTemp__5[2] = S"戰場物件";
			this->combox_QuestMode->Items->AddRange(__mcTemp__5);
			this->combox_QuestMode->Location = System::Drawing::Point(96, 72);
			this->combox_QuestMode->Name = S"combox_QuestMode";
			this->combox_QuestMode->Size = System::Drawing::Size(120, 20);
			this->combox_QuestMode->TabIndex = 99;
			this->combox_QuestMode->Tag = S"iQuestMode";
			this->combox_QuestMode->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::OnCombox_QuestModeChanged);
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label5->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label5->Location = System::Drawing::Point(8, 72);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(86, 12);
			this->label5->TabIndex = 98;
			this->label5->Text = S"QuestObj 類型";
			// 
			// tab_QuestObjType
			// 
			this->tab_QuestObjType->Controls->Add(this->tabPage1);
			this->tab_QuestObjType->Controls->Add(this->tabPage2);
			this->tab_QuestObjType->Controls->Add(this->tabPage3);
			this->tab_QuestObjType->Location = System::Drawing::Point(8, 274);
			this->tab_QuestObjType->Name = S"tab_QuestObjType";
			this->tab_QuestObjType->SelectedIndex = 0;
			this->tab_QuestObjType->Size = System::Drawing::Size(580, 511);
			this->tab_QuestObjType->TabIndex = 97;
			this->tab_QuestObjType->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::OnTab_EnterQuestObj);
			// 
			// tabPage1
			// 
			this->tabPage1->Controls->Add(this->groupBox6);
			this->tabPage1->Controls->Add(this->groupBox1);
			this->tabPage1->Controls->Add(this->groupBox2);
			this->tabPage1->Controls->Add(this->groupBox3);
			this->tabPage1->Location = System::Drawing::Point(4, 22);
			this->tabPage1->Name = S"tabPage1";
			this->tabPage1->Size = System::Drawing::Size(572, 485);
			this->tabPage1->TabIndex = 0;
			this->tabPage1->Text = S"任務NPC";
			this->tabPage1->UseVisualStyleBackColor = true;
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->label13);
			this->groupBox6->Controls->Add(this->textBox25);
			this->groupBox6->Location = System::Drawing::Point(294, 192);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(272, 118);
			this->groupBox6->TabIndex = 101;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = S"初始化 SCRIPT";
			// 
			// label13
			// 
			this->label13->Location = System::Drawing::Point(8, 20);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(54, 16);
			this->label13->TabIndex = 48;
			this->label13->Text = S"對話劇情";
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(8, 38);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(222, 22);
			this->textBox25->TabIndex = 1;
			this->textBox25->Tag = S"szLuaScript";
			this->textBox25->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_TextChanged);
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->textBox2);
			this->groupBox1->Location = System::Drawing::Point(294, 16);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(272, 168);
			this->groupBox1->TabIndex = 97;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"Quest SPEAKING";
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(8, 24);
			this->textBox2->MaxLength = 512;
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(248, 138);
			this->textBox2->TabIndex = 93;
			this->textBox2->Tag = S"szQuestDoingText";
			this->textBox2->Text = S"";
			this->textBox2->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_TextChanged);
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->textBox3);
			this->groupBox2->Location = System::Drawing::Point(16, 16);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(272, 168);
			this->groupBox2->TabIndex = 95;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"NPC SPEAKING";
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(8, 24);
			this->textBox3->MaxLength = 512;
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(248, 138);
			this->textBox3->TabIndex = 93;
			this->textBox3->Tag = S"szQuestNpcText";
			this->textBox3->Text = S"";
			this->textBox3->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_TextChanged);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->label17);
			this->groupBox3->Controls->Add(this->textBox15);
			this->groupBox3->Controls->Add(this->label18);
			this->groupBox3->Controls->Add(this->textBox16);
			this->groupBox3->Controls->Add(this->label19);
			this->groupBox3->Controls->Add(this->textBox17);
			this->groupBox3->Controls->Add(this->label20);
			this->groupBox3->Controls->Add(this->textBox18);
			this->groupBox3->Controls->Add(this->label21);
			this->groupBox3->Controls->Add(this->textBox19);
			this->groupBox3->Controls->Add(this->label22);
			this->groupBox3->Controls->Add(this->textBox20);
			this->groupBox3->Controls->Add(this->label23);
			this->groupBox3->Controls->Add(this->label24);
			this->groupBox3->Controls->Add(this->textBox21);
			this->groupBox3->Controls->Add(this->textBox22);
			this->groupBox3->Controls->Add(this->label25);
			this->groupBox3->Controls->Add(this->label26);
			this->groupBox3->Controls->Add(this->textBox23);
			this->groupBox3->Controls->Add(this->textBox24);
			this->groupBox3->Controls->Add(this->label16);
			this->groupBox3->Controls->Add(this->textBox14);
			this->groupBox3->Controls->Add(this->label11);
			this->groupBox3->Controls->Add(this->textBox13);
			this->groupBox3->Controls->Add(this->label9);
			this->groupBox3->Controls->Add(this->textBox12);
			this->groupBox3->Controls->Add(this->label8);
			this->groupBox3->Controls->Add(this->textBox11);
			this->groupBox3->Controls->Add(this->label7);
			this->groupBox3->Controls->Add(this->textBox10);
			this->groupBox3->Controls->Add(this->label6);
			this->groupBox3->Controls->Add(this->textBox9);
			this->groupBox3->Controls->Add(this->label4);
			this->groupBox3->Controls->Add(this->label1);
			this->groupBox3->Controls->Add(this->textBox1);
			this->groupBox3->Controls->Add(this->textBox5);
			this->groupBox3->Controls->Add(this->label3);
			this->groupBox3->Controls->Add(this->label10);
			this->groupBox3->Controls->Add(this->textBox7);
			this->groupBox3->Controls->Add(this->textBox8);
			this->groupBox3->Location = System::Drawing::Point(16, 192);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(272, 280);
			this->groupBox3->TabIndex = 96;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"NPC 所能給予的 Quest 列表";
			// 
			// label17
			// 
			this->label17->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label17->AutoSize = true;
			this->label17->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label17->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label17->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label17->Location = System::Drawing::Point(136, 248);
			this->label17->Name = S"label17";
			this->label17->Size = System::Drawing::Size(19, 12);
			this->label17->TabIndex = 131;
			this->label17->Text = S"20";
			this->label17->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(160, 248);
			this->textBox15->Name = S"textBox15";
			this->textBox15->Size = System::Drawing::Size(96, 22);
			this->textBox15->TabIndex = 130;
			this->textBox15->Tag = S"iQuestID20";
			this->textBox15->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox15->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label18
			// 
			this->label18->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label18->AutoSize = true;
			this->label18->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label18->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label18->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label18->Location = System::Drawing::Point(136, 224);
			this->label18->Name = S"label18";
			this->label18->Size = System::Drawing::Size(19, 12);
			this->label18->TabIndex = 129;
			this->label18->Text = S"19";
			this->label18->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(160, 224);
			this->textBox16->Name = S"textBox16";
			this->textBox16->Size = System::Drawing::Size(96, 22);
			this->textBox16->TabIndex = 128;
			this->textBox16->Tag = S"iQuestID19";
			this->textBox16->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox16->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label19
			// 
			this->label19->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label19->AutoSize = true;
			this->label19->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label19->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label19->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label19->Location = System::Drawing::Point(136, 200);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(19, 12);
			this->label19->TabIndex = 127;
			this->label19->Text = S"18";
			this->label19->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(160, 200);
			this->textBox17->Name = S"textBox17";
			this->textBox17->Size = System::Drawing::Size(96, 22);
			this->textBox17->TabIndex = 126;
			this->textBox17->Tag = S"iQuestID18";
			this->textBox17->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox17->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label20
			// 
			this->label20->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label20->AutoSize = true;
			this->label20->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label20->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label20->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label20->Location = System::Drawing::Point(136, 176);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(19, 12);
			this->label20->TabIndex = 125;
			this->label20->Text = S"17";
			this->label20->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(160, 176);
			this->textBox18->Name = S"textBox18";
			this->textBox18->Size = System::Drawing::Size(96, 22);
			this->textBox18->TabIndex = 124;
			this->textBox18->Tag = S"iQuestID17";
			this->textBox18->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox18->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label21
			// 
			this->label21->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label21->AutoSize = true;
			this->label21->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label21->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label21->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label21->Location = System::Drawing::Point(136, 152);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(19, 12);
			this->label21->TabIndex = 123;
			this->label21->Text = S"16";
			this->label21->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(160, 152);
			this->textBox19->Name = S"textBox19";
			this->textBox19->Size = System::Drawing::Size(96, 22);
			this->textBox19->TabIndex = 122;
			this->textBox19->Tag = S"iQuestID16";
			this->textBox19->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox19->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label22
			// 
			this->label22->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label22->AutoSize = true;
			this->label22->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label22->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label22->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label22->Location = System::Drawing::Point(136, 128);
			this->label22->Name = S"label22";
			this->label22->Size = System::Drawing::Size(19, 12);
			this->label22->TabIndex = 121;
			this->label22->Text = S"15";
			this->label22->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(160, 127);
			this->textBox20->Name = S"textBox20";
			this->textBox20->Size = System::Drawing::Size(96, 22);
			this->textBox20->TabIndex = 120;
			this->textBox20->Tag = S"iQuestID15";
			this->textBox20->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox20->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label23
			// 
			this->label23->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label23->AutoSize = true;
			this->label23->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label23->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label23->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label23->Location = System::Drawing::Point(136, 104);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(19, 12);
			this->label23->TabIndex = 119;
			this->label23->Text = S"14";
			this->label23->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// label24
			// 
			this->label24->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label24->AutoSize = true;
			this->label24->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label24->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label24->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label24->Location = System::Drawing::Point(136, 80);
			this->label24->Name = S"label24";
			this->label24->Size = System::Drawing::Size(19, 12);
			this->label24->TabIndex = 117;
			this->label24->Text = S"13";
			this->label24->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(160, 56);
			this->textBox21->Name = S"textBox21";
			this->textBox21->Size = System::Drawing::Size(96, 22);
			this->textBox21->TabIndex = 116;
			this->textBox21->Tag = S"iQuestID12";
			this->textBox21->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox21->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(160, 80);
			this->textBox22->Name = S"textBox22";
			this->textBox22->Size = System::Drawing::Size(96, 22);
			this->textBox22->TabIndex = 118;
			this->textBox22->Tag = S"iQuestID13";
			this->textBox22->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox22->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label25
			// 
			this->label25->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label25->AutoSize = true;
			this->label25->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label25->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label25->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label25->Location = System::Drawing::Point(136, 56);
			this->label25->Name = S"label25";
			this->label25->Size = System::Drawing::Size(19, 12);
			this->label25->TabIndex = 115;
			this->label25->Text = S"12";
			this->label25->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// label26
			// 
			this->label26->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label26->AutoSize = true;
			this->label26->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label26->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label26->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label26->Location = System::Drawing::Point(136, 32);
			this->label26->Name = S"label26";
			this->label26->Size = System::Drawing::Size(19, 12);
			this->label26->TabIndex = 113;
			this->label26->Text = S"11";
			this->label26->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(160, 104);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(96, 22);
			this->textBox23->TabIndex = 112;
			this->textBox23->Tag = S"iQuestID14";
			this->textBox23->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox23->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(160, 32);
			this->textBox24->Name = S"textBox24";
			this->textBox24->Size = System::Drawing::Size(96, 22);
			this->textBox24->TabIndex = 114;
			this->textBox24->Tag = S"iQuestID11";
			this->textBox24->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox24->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label16
			// 
			this->label16->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label16->AutoSize = true;
			this->label16->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label16->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label16->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label16->Location = System::Drawing::Point(8, 248);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(19, 12);
			this->label16->TabIndex = 111;
			this->label16->Text = S"10";
			this->label16->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(32, 248);
			this->textBox14->Name = S"textBox14";
			this->textBox14->Size = System::Drawing::Size(96, 22);
			this->textBox14->TabIndex = 110;
			this->textBox14->Tag = S"iQuestID10";
			this->textBox14->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox14->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label11
			// 
			this->label11->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label11->AutoSize = true;
			this->label11->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label11->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label11->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label11->Location = System::Drawing::Point(8, 224);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(12, 12);
			this->label11->TabIndex = 109;
			this->label11->Text = S"9";
			this->label11->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(32, 224);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(96, 22);
			this->textBox13->TabIndex = 108;
			this->textBox13->Tag = S"iQuestID9";
			this->textBox13->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox13->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label9
			// 
			this->label9->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label9->AutoSize = true;
			this->label9->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label9->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label9->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label9->Location = System::Drawing::Point(8, 200);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(12, 12);
			this->label9->TabIndex = 107;
			this->label9->Text = S"8";
			this->label9->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(32, 200);
			this->textBox12->Name = S"textBox12";
			this->textBox12->Size = System::Drawing::Size(96, 22);
			this->textBox12->TabIndex = 106;
			this->textBox12->Tag = S"iQuestID8";
			this->textBox12->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox12->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label8
			// 
			this->label8->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label8->AutoSize = true;
			this->label8->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label8->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label8->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label8->Location = System::Drawing::Point(8, 176);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(12, 12);
			this->label8->TabIndex = 105;
			this->label8->Text = S"7";
			this->label8->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(32, 176);
			this->textBox11->Name = S"textBox11";
			this->textBox11->Size = System::Drawing::Size(96, 22);
			this->textBox11->TabIndex = 104;
			this->textBox11->Tag = S"iQuestID7";
			this->textBox11->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox11->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label7
			// 
			this->label7->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label7->AutoSize = true;
			this->label7->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label7->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label7->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label7->Location = System::Drawing::Point(8, 152);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(12, 12);
			this->label7->TabIndex = 103;
			this->label7->Text = S"6";
			this->label7->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(32, 152);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(96, 22);
			this->textBox10->TabIndex = 102;
			this->textBox10->Tag = S"iQuestID6";
			this->textBox10->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox10->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label6
			// 
			this->label6->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label6->AutoSize = true;
			this->label6->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label6->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label6->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label6->Location = System::Drawing::Point(8, 129);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(12, 12);
			this->label6->TabIndex = 101;
			this->label6->Text = S"5";
			this->label6->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(32, 128);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(96, 22);
			this->textBox9->TabIndex = 100;
			this->textBox9->Tag = S"iQuestID5";
			this->textBox9->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox9->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label4
			// 
			this->label4->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label4->AutoSize = true;
			this->label4->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label4->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label4->Location = System::Drawing::Point(8, 104);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(12, 12);
			this->label4->TabIndex = 99;
			this->label4->Text = S"4";
			this->label4->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// label1
			// 
			this->label1->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label1->AutoSize = true;
			this->label1->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label1->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label1->Location = System::Drawing::Point(8, 80);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(12, 12);
			this->label1->TabIndex = 97;
			this->label1->Text = S"3";
			this->label1->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(32, 56);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(96, 22);
			this->textBox1->TabIndex = 96;
			this->textBox1->Tag = S"iQuestID2";
			this->textBox1->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox1->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(32, 80);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(96, 22);
			this->textBox5->TabIndex = 98;
			this->textBox5->Tag = S"iQuestID3";
			this->textBox5->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox5->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// label3
			// 
			this->label3->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label3->AutoSize = true;
			this->label3->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label3->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label3->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label3->Location = System::Drawing::Point(8, 56);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(12, 12);
			this->label3->TabIndex = 95;
			this->label3->Text = S"2";
			this->label3->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// label10
			// 
			this->label10->Anchor = (System::Windows::Forms::AnchorStyles)((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left);
			this->label10->AutoSize = true;
			this->label10->FlatStyle = System::Windows::Forms::FlatStyle::Flat;
			this->label10->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label10->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label10->Location = System::Drawing::Point(8, 32);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(12, 12);
			this->label10->TabIndex = 93;
			this->label10->Text = S"1";
			this->label10->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(32, 104);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(96, 22);
			this->textBox7->TabIndex = 91;
			this->textBox7->Tag = S"iQuestID4";
			this->textBox7->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox7->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(32, 32);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(96, 22);
			this->textBox8->TabIndex = 94;
			this->textBox8->Tag = S"iQuestID1";
			this->textBox8->DoubleClick += new System::EventHandler(this, &QuestNPCForm::SearchObj_DClick);
			this->textBox8->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnText_ValueChanged);
			// 
			// tabPage2
			// 
			this->tabPage2->Controls->Add(this->label14);
			this->tabPage2->Controls->Add(this->comboBox2);
			this->tabPage2->Controls->Add(this->comboBox1);
			this->tabPage2->Controls->Add(this->label12);
			this->tabPage2->Controls->Add(this->CB_ReviveTime);
			this->tabPage2->Controls->Add(this->label2);
			this->tabPage2->Location = System::Drawing::Point(4, 22);
			this->tabPage2->Name = S"tabPage2";
			this->tabPage2->Size = System::Drawing::Size(572, 485);
			this->tabPage2->TabIndex = 1;
			this->tabPage2->Text = S"任務物件";
			this->tabPage2->UseVisualStyleBackColor = true;
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label14->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label14->Location = System::Drawing::Point(17, 75);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(83, 12);
			this->label14->TabIndex = 37;
			this->label14->Text = S"配合生產技能";
			// 
			// comboBox2
			// 
			this->comboBox2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox2->FormattingEnabled = true;
			System::Object* __mcTemp__6[] = new System::Object*[12];
			__mcTemp__6[0] = S"無";
			__mcTemp__6[1] = S"打鐵";
			__mcTemp__6[2] = S"木工";
			__mcTemp__6[3] = S"製甲";
			__mcTemp__6[4] = S"裁縫";
			__mcTemp__6[5] = S"烹飪";
			__mcTemp__6[6] = S"煉金";
			__mcTemp__6[7] = S"挖礦";
			__mcTemp__6[8] = S"伐木";
			__mcTemp__6[9] = S"採藥";
			__mcTemp__6[10] = S"釣魚";
			__mcTemp__6[11] = S"種植";
			this->comboBox2->Items->AddRange(__mcTemp__6);
			this->comboBox2->Location = System::Drawing::Point(119, 72);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(104, 20);
			this->comboBox2->TabIndex = 36;
			this->comboBox2->Tag = S"QuestObjCraftMode";
			this->comboBox2->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox1
			// 
			this->comboBox1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__7[] = new System::Object*[2];
			__mcTemp__7[0] = S"隱藏";
			__mcTemp__7[1] = S"不隱藏";
			this->comboBox1->Items->AddRange(__mcTemp__7);
			this->comboBox1->Location = System::Drawing::Point(119, 45);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(104, 20);
			this->comboBox1->TabIndex = 23;
			this->comboBox1->Tag = S"iQuestObjType";
			this->comboBox1->SelectedIndexChanged += new System::EventHandler(this, &QuestNPCForm::GetIndex_SelectedIndexChanged);
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label12->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label12->Location = System::Drawing::Point(17, 48);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(96, 12);
			this->label12->TabIndex = 22;
			this->label12->Text = S"點選後隱藏物件";
			// 
			// CB_ReviveTime
			// 
			System::Object* __mcTemp__8[] = new System::Object*[6];
			__mcTemp__8[0] = S"10";
			__mcTemp__8[1] = S"20";
			__mcTemp__8[2] = S"30";
			__mcTemp__8[3] = S"40";
			__mcTemp__8[4] = S"50";
			__mcTemp__8[5] = S"60";
			this->CB_ReviveTime->Items->AddRange(__mcTemp__8);
			this->CB_ReviveTime->Location = System::Drawing::Point(119, 16);
			this->CB_ReviveTime->Name = S"CB_ReviveTime";
			this->CB_ReviveTime->Size = System::Drawing::Size(104, 20);
			this->CB_ReviveTime->TabIndex = 21;
			this->CB_ReviveTime->Tag = S"ReviveTime";
			this->CB_ReviveTime->Text = S" ";
			this->CB_ReviveTime->TextChanged += new System::EventHandler(this, &QuestNPCForm::OnCombox_ValueChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label2->Location = System::Drawing::Point(17, 19);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(88, 12);
			this->label2->TabIndex = 20;
			this->label2->Text = S"重生時間( 秒 )";
			// 
			// tabPage3
			// 
			this->tabPage3->Location = System::Drawing::Point(4, 22);
			this->tabPage3->Name = S"tabPage3";
			this->tabPage3->Padding = System::Windows::Forms::Padding(3);
			this->tabPage3->Size = System::Drawing::Size(572, 485);
			this->tabPage3->TabIndex = 2;
			this->tabPage3->Text = S"戰場物件";
			this->tabPage3->UseVisualStyleBackColor = true;
			// 
			// panel2
			// 
			this->panel2->BorderStyle = System::Windows::Forms::BorderStyle::Fixed3D;
			this->panel2->Controls->Add(this->textBox44);
			this->panel2->Controls->Add(this->button3);
			this->panel2->Controls->Add(this->textBox43);
			this->panel2->Controls->Add(this->textBox40);
			this->panel2->Controls->Add(this->textBox41);
			this->panel2->Controls->Add(this->label93);
			this->panel2->Controls->Add(this->textBox42);
			this->panel2->Controls->Add(this->label94);
			this->panel2->Controls->Add(this->CB_Zone3);
			this->panel2->Controls->Add(this->CB_Zone2);
			this->panel2->Controls->Add(this->CB_Zone1);
			this->panel2->Controls->Add(this->label53);
			this->panel2->Dock = System::Windows::Forms::DockStyle::Top;
			this->panel2->Location = System::Drawing::Point(0, 0);
			this->panel2->Name = S"panel2";
			this->panel2->Size = System::Drawing::Size(767, 64);
			this->panel2->TabIndex = 1;
			// 
			// textBox44
			// 
			this->textBox44->BackColor = System::Drawing::SystemColors::Window;
			this->textBox44->Location = System::Drawing::Point(652, 10);
			this->textBox44->Name = S"textBox44";
			this->textBox44->Size = System::Drawing::Size(40, 22);
			this->textBox44->TabIndex = 79;
			this->textBox44->Tag = S"ZoneID_Bk";
			this->textBox44->Text = S"0";
			this->textBox44->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// button3
			// 
			this->button3->Location = System::Drawing::Point(425, 10);
			this->button3->Name = S"button3";
			this->button3->Size = System::Drawing::Size(128, 23);
			this->button3->TabIndex = 78;
			this->button3->Text = S"修正所有的NPC位置";
			this->button3->UseVisualStyleBackColor = true;
			this->button3->Click += new System::EventHandler(this, &QuestNPCForm::FixAllNPCPosClick);
			// 
			// textBox43
			// 
			this->textBox43->BackColor = System::Drawing::SystemColors::ScrollBar;
			this->textBox43->Location = System::Drawing::Point(605, 36);
			this->textBox43->Name = S"textBox43";
			this->textBox43->ReadOnly = true;
			this->textBox43->Size = System::Drawing::Size(62, 22);
			this->textBox43->TabIndex = 77;
			this->textBox43->Tag = S"Z";
			this->textBox43->Text = S"0";
			// 
			// textBox40
			// 
			this->textBox40->BackColor = System::Drawing::SystemColors::ScrollBar;
			this->textBox40->Location = System::Drawing::Point(538, 36);
			this->textBox40->Name = S"textBox40";
			this->textBox40->ReadOnly = true;
			this->textBox40->Size = System::Drawing::Size(62, 22);
			this->textBox40->TabIndex = 76;
			this->textBox40->Tag = S"Y";
			this->textBox40->Text = S"0";
			// 
			// textBox41
			// 
			this->textBox41->BackColor = System::Drawing::SystemColors::ScrollBar;
			this->textBox41->Location = System::Drawing::Point(471, 36);
			this->textBox41->Name = S"textBox41";
			this->textBox41->ReadOnly = true;
			this->textBox41->Size = System::Drawing::Size(62, 22);
			this->textBox41->TabIndex = 75;
			this->textBox41->Tag = S"X";
			this->textBox41->Text = S"0";
			// 
			// label93
			// 
			this->label93->AutoSize = true;
			this->label93->Location = System::Drawing::Point(438, 42);
			this->label93->Name = S"label93";
			this->label93->Size = System::Drawing::Size(29, 12);
			this->label93->TabIndex = 74;
			this->label93->Text = S"位置";
			// 
			// textBox42
			// 
			this->textBox42->BackColor = System::Drawing::SystemColors::ScrollBar;
			this->textBox42->Location = System::Drawing::Point(606, 10);
			this->textBox42->Name = S"textBox42";
			this->textBox42->ReadOnly = true;
			this->textBox42->Size = System::Drawing::Size(40, 22);
			this->textBox42->TabIndex = 73;
			this->textBox42->Tag = S"ZoneID";
			this->textBox42->Text = S"0";
			// 
			// label94
			// 
			this->label94->AutoSize = true;
			this->label94->Location = System::Drawing::Point(559, 16);
			this->label94->Name = S"label94";
			this->label94->Size = System::Drawing::Size(41, 12);
			this->label94->TabIndex = 72;
			this->label94->Text = S"ZoneID";
			// 
			// CB_Zone3
			// 
			this->CB_Zone3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_Zone3->Enabled = false;
			System::Object* __mcTemp__9[] = new System::Object*[3];
			__mcTemp__9[0] = S"10";
			__mcTemp__9[1] = S"50";
			__mcTemp__9[2] = S"100";
			this->CB_Zone3->Items->AddRange(__mcTemp__9);
			this->CB_Zone3->Location = System::Drawing::Point(264, 32);
			this->CB_Zone3->Name = S"CB_Zone3";
			this->CB_Zone3->Size = System::Drawing::Size(96, 20);
			this->CB_Zone3->TabIndex = 36;
			this->CB_Zone3->Tag = S"Zone3";
			this->CB_Zone3->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// CB_Zone2
			// 
			this->CB_Zone2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_Zone2->Enabled = false;
			System::Object* __mcTemp__10[] = new System::Object*[3];
			__mcTemp__10[0] = S"10";
			__mcTemp__10[1] = S"50";
			__mcTemp__10[2] = S"100";
			this->CB_Zone2->Items->AddRange(__mcTemp__10);
			this->CB_Zone2->Location = System::Drawing::Point(168, 32);
			this->CB_Zone2->Name = S"CB_Zone2";
			this->CB_Zone2->Size = System::Drawing::Size(96, 20);
			this->CB_Zone2->TabIndex = 35;
			this->CB_Zone2->Tag = S"Zone2";
			this->CB_Zone2->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// CB_Zone1
			// 
			this->CB_Zone1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_Zone1->Enabled = false;
			System::Object* __mcTemp__11[] = new System::Object*[8];
			__mcTemp__11[0] = S"1 Zone1";
			__mcTemp__11[1] = S"2 Zone2";
			__mcTemp__11[2] = S"3 Zone3";
			__mcTemp__11[3] = S"4 Zone4";
			__mcTemp__11[4] = S"5 Zone5";
			__mcTemp__11[5] = S"6 Zone6";
			__mcTemp__11[6] = S"7 Zone7";
			__mcTemp__11[7] = S"8 Zone8";
			this->CB_Zone1->Items->AddRange(__mcTemp__11);
			this->CB_Zone1->Location = System::Drawing::Point(72, 32);
			this->CB_Zone1->Name = S"CB_Zone1";
			this->CB_Zone1->Size = System::Drawing::Size(96, 20);
			this->CB_Zone1->TabIndex = 34;
			this->CB_Zone1->Tag = S"Zone1";
			this->CB_Zone1->TextChanged += new System::EventHandler(this, &QuestNPCForm::GetIntValue_TextChanged);
			// 
			// label53
			// 
			this->label53->AutoSize = true;
			this->label53->Enabled = false;
			this->label53->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label53->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label53->Location = System::Drawing::Point(16, 32);
			this->label53->Name = S"label53";
			this->label53->Size = System::Drawing::Size(57, 12);
			this->label53->TabIndex = 33;
			this->label53->Text = S"所在區域";
			// 
			// sqlConnectionGlobalDB
			// 
			this->sqlConnectionGlobalDB->ConnectionString = S"Data Source=;Initial Catalog=GlobalDB;Persist Security Info=True;User ID=sa;Passw" 
				S"ord=rw20040813";
			this->sqlConnectionGlobalDB->FireInfoMessageEventOnUserErrors = false;
			// 
			// sqlCommandGlobalDB
			// 
			this->sqlCommandGlobalDB->Connection = this->sqlConnectionGlobalDB;
			// 
			// QuestNPCForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(767, 800);
			this->Controls->Add(this->panel1);
			this->Name = S"QuestNPCForm";
			this->Text = S"QuestNPCForm";
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox23->ResumeLayout(false);
			this->groupBox23->PerformLayout();
			this->groupBox27->ResumeLayout(false);
			this->groupBox7->ResumeLayout(false);
			this->groupBox7->PerformLayout();
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			this->tab_QuestObjType->ResumeLayout(false);
			this->tabPage1->ResumeLayout(false);
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			this->groupBox1->ResumeLayout(false);
			this->groupBox2->ResumeLayout(false);
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->tabPage2->ResumeLayout(false);
			this->tabPage2->PerformLayout();
			this->panel2->ResumeLayout(false);
			this->panel2->PerformLayout();
			this->ResumeLayout(false);

		}		

#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchWeaponClick(System::Object*  sender, System::EventArgs*  e);
		System::Void GetValue_CheckChanged(System::Object*  sender, System::EventArgs*  e);
#endif
		System::Void OnText_ValueChanged					(System::Object *  sender, System::EventArgs *  e);
		System::Void OnText_TextChanged						(System::Object *  sender, System::EventArgs *  e);
		System::Void OnCombox_SelIndexChanged				(System::Object *  sender, System::EventArgs *  e);


		System::Void OnTab_EnterQuestObj					(System::Object *  sender, System::EventArgs *  e);
		System::Void OnCombox_QuestModeChanged				(System::Object *  sender, System::EventArgs *  e);
		System::Void OnCombox_ValueChanged					(System::Object *  sender, System::EventArgs *  e);
		System::Void FixAllNPCPosClick						(System::Object*  sender, System::EventArgs*  e);

        //######################################################################################################
    protected:
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
		virtual void    OnValueChange();
        //######################################################################################################



};
}
